Cache policy service 9 matching interfaces
Update a cache policy updateHTTPCachePolicy
POST /HTTPCachePolicyService/updateHTTPCachePolicy
Definition file service_http_cache_policy.proto
Available roles Administrator Original definition Request message Response message Original definition Copy coderpc updateHTTPCachePolicy ( UpdateHTTPCachePolicyRequest ) returns ( RPCSuccess );
Request message UpdateHTTPCachePolicyRequestUpdate a cache policy
Request message · Field definitions Copy codemessage UpdateHTTPCachePolicyRequest {
int64 httpCachePolicyId = 1 ;
bool isOn = 2 ;
string name = 3 ;
string description = 4 ;
bytes capacityJSON = 5 ;
bytes maxSizeJSON = 7 ;
string type = 8 ;
bytes optionsJSON = 9 ;
bool syncCompressionCache = 10 ;
bytes fetchTimeoutJSON = 11 ; // Prefetch timeout
}
Response message RPCSuccessOperation successful
Response message · Field definitions Copy codemessage RPCSuccess {
}